import { IHostThemeApi } from "./IHostThemeApi";
export declare function getVisualTheme(): Promise<number>;
export declare function getSystemTheme(): Promise<string>;
export declare function getIsAnimationEnabled(): Promise<boolean>;
export declare function addAnimationSettingChangedEventListener(animationSettingChangedCallback: () => void): Promise<void>;
export declare function removeAnimationSettingChangedEventListener(animationSettingChangedCallback: () => void): Promise<void>;
export declare function getIsAutohideScrollbarsEnabled(): Promise<boolean>;
export declare function addAutohideScrollbarsSettingChangedEventListener(autohideScrollbarsSettingChangedCallback: () => void): Promise<void>;
export declare function removeAutohideScrollbarsSettingChangedEventListener(autohideScrollbarsSettingChangedCallback: () => void): Promise<void>;
export declare function getAccentColorRamp(): Promise<string[]>;
export declare function addSystemThemeChangedEventListener(themeChangedCallback: () => void): Promise<void>;
export declare function removeSystemThemeChangedEventListener(themeChangedCallback: () => void): Promise<void>;
export declare function getHostThemeApi(minVersion?: number, targetVersion?: number): Promise<IHostThemeApi>;
